/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : PTC.c
**     Project     : example_10
**     Processor   : MC9S08SE8CWL
**     Component   : Init_GPIO
**     Version     : Component 01.032, Driver 01.21, CPU db: 3.00.015
**     Compiler    : CodeWarrior HCS08 C Compiler
**     Date/Time   : 2023-11-12, 06:16, # CodeGen: 4
**     Abstract    :
**          This file implements the General Purpose Input Output (PTC)
**          module initialization according to the Peripheral Initialization
**          Component settings, and defines interrupt service routines prototypes.
**
**     Settings    :
**          Component name                                 : PTC
**          Device                                         : PTC
**          Port control                                   : Individual pins
**
**          Used pins                                      :
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       0             |  PTC0
**                       1             |  PTC1
**                       2             |  PTC2
**                       3             |  PTC3
**             ----------------------------------------------------
**
**          Pin0                                           : PTC0
**            Direction                                    : Input
**            Output value                                 : 0
**            Pull resistor                                : pull up
**            Open drain                                   : push-pull
**
**          Pin1                                           : PTC1
**            Direction                                    : Input
**            Output value                                 : 0
**            Pull resistor                                : pull up
**            Open drain                                   : push-pull
**
**          Pin2                                           : PTC2
**            Direction                                    : Input
**            Output value                                 : 0
**            Pull resistor                                : pull up
**            Open drain                                   : push-pull
**
**          Pin3                                           : PTC3
**            Direction                                    : Input
**            Output value                                 : 0
**            Pull resistor                                : pull up
**            Open drain                                   : push-pull
**
**          Call Init method                               : yes
**     Contents    :
**         Init - void PTC_Init(void);
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file PTC.c
** @version 01.21
** @brief
**          This file implements the General Purpose Input Output (PTC)
**          module initialization according to the Peripheral Initialization
**          Component settings, and defines interrupt service routines prototypes.
**
*/         
/*!
**  @addtogroup PTC_module PTC module documentation
**  @{
*/         

/* MODULE PTC. */

#include "PTC.h"
/*
** ===================================================================
**     Method      :  PTC_Init (component Init_GPIO)
**     Description :
**         This method initializes registers of the GPIO module
**         according to this Peripheral Initialization Component settings.
**         Call this method in the user code to initialize the
**         module. By default, the method is called by PE
**         automatically; see "Call Init method" property of the
**         component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void PTC_Init(void)
{
  /* PTCD: PTCD3=0,PTCD2=0,PTCD1=0,PTCD0=0 */
  clrReg8Bits(PTCD, 0x0FU);             
  /* PTCPE: PTCPE3=1,PTCPE2=1,PTCPE1=1,PTCPE0=1 */
  setReg8Bits(PTCPE, 0x0FU);            
  /* PTCDD: PTCDD3=0,PTCDD2=0,PTCDD1=0,PTCDD0=0 */
  clrReg8Bits(PTCDD, 0x0FU);            
}

/* END PTC. */

/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
