/* ###################################################################
**     Filename    : main.c
**     Project     : example_10
**     Processor   : MC9S08SE8CWL
**     Version     : Driver 01.12
**     Compiler    : CodeWarrior HCS08 C Compiler
**     Date/Time   : 2023-11-10, 00:14, # CodeGen: 0
**     Abstract    :
**         Main module.
**         This module contains user's application code.
**     Settings    :
**     Contents    :
**         No public methods
**
** ###################################################################*/
/*!
** @file main.c
** @version 01.12
** @brief
**         Main module.
**         This module contains user's application code.
*/         
/*!
**  @addtogroup main_module main module documentation
**  @{
*/         
/* MODULE main */


/* Including needed modules to compile this module/procedure */
#include "Cpu.h"
#include "Events.h"
#include "COPFree.h"
#include "PTB.h"
#include "PTC.h"
/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"

/* User includes (#include below this line is not maintained by Processor Expert) */
#include "I2C_LCD2x16.h"

#define  Led   PTBD_PTBD7

#define  Row1  PTBD_PTBD0
#define  Row2  PTBD_PTBD1
#define  Row3  PTBD_PTBD2
#define  Row4  PTBD_PTBD3

#define  Col1   PTCD_PTCD0
#define  Col2   PTCD_PTCD1
#define  Col3   PTCD_PTCD2
#define  Col4   PTCD_PTCD3

void blink() {

     Led=1;
     Cpu_Delay100US(1000);
     Led=0;
     Cpu_Delay100US(1000);
 }

void main(void)
{
  /* Write your local variable definition here */
   char tecla, i=0, aux=1;
  /*** Processor Expert internal initialization. DON'T REMOVE THIS CODE!!! ***/
  PE_low_level_init();
  /*** End of Processor Expert internal initialization.                    ***/

  /* Write your code here */
  /* For example: for(;;) { } */
COPFree_Init();
PTB_Init();
PTC_Init();
I2C_LCD_Init();
I2C_LCD_Cmd(_LCD_CLEAR);
I2C_LCD_Cmd(_LCD_CURSOR_OFF);
I2C_LCD_Out(1,6,"KEY");

Row1=0;
Row2=0;
Row3=0;
Row4=0;

for(;;) { 
	for(i=0;i<4;i++){

	        Row1=0;
	        Row2=1;
	        Row3=1;
	        Row4=1;
	        Cpu_Delay100US(20);

	        if((Col1==0)&& (i==0)) tecla='1', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        if((Col2==0)&& (i==0)) tecla='2', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        if((Col3==0)&& (i==0)) tecla='3', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        if((Col4==0)&& (i==0)) tecla='A', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        
	        Row1=1;
	        Row2=0;
	        Row3=1;
	        Row4=1;
	        Cpu_Delay100US(20);

	        if((Col1==0)&& (i==1)) tecla='4',  I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        if((Col2==0)&& (i==1)) tecla='5',  I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        if((Col3==0)&& (i==1)) tecla='6',  I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        if((Col4==0)&& (i==1)) tecla='B',  I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        
	        Row1=1;
	        Row2=1;
	        Row3=0;
	        Row4=1;
	        Cpu_Delay100US(20);

	       if((Col1==0)&& (i==2)) tecla='7', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	       if((Col2==0)&& (i==2)) tecla='8', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	       if((Col3==0)&& (i==2)) tecla='9', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	       if((Col4==0)&& (i==2)) tecla='C', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        
	        Row1=1;
	        Row2=1;
	        Row3=1;
	        Row4=0;
	        Cpu_Delay100US(20);
            
	        if((Col1==0)&& (i==3)) tecla='*', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        if((Col2==0)&& (i==3)) tecla='0', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        if((Col3==0)&& (i==3)) tecla='#', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;
	        if((Col4==0)&& (i==3)) tecla='D', I2C_LCD_Chr(2,aux,tecla),blink(),aux++;

	 }
	if(aux>16) aux=1;
}
  /*** Don't write any code pass this line, or it will be deleted during code generation. ***/
  /*** RTOS startup code. Macro PEX_RTOS_START is defined by the RTOS component. DON'T MODIFY THIS CODE!!! ***/
  #ifdef PEX_RTOS_START
    PEX_RTOS_START();                  /* Startup of the selected RTOS. Macro is defined by the RTOS component. */
  #endif
  /*** End of RTOS startup code.  ***/
  /*** Processor Expert end of main routine. DON'T MODIFY THIS CODE!!! ***/
  for(;;){}
  /*** Processor Expert end of main routine. DON'T WRITE CODE BELOW!!! ***/
} /*** End of main routine. DO NOT MODIFY THIS TEXT!!! ***/

/* END main */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
